{ lib, ... }:
{
  services.autopull = {
    enable = lib.mkDefault true;
    repo.dotfiles = {
      enable = lib.mkDefault true;
      ssh-key = lib.mkDefault "/root/.ssh/id_ed25519_giteadeploy";
      path = lib.mkDefault /root/dotfiles;
    };
  };

  system.autoUpgrade = {
    enable = lib.mkDefault true;
    flags = [ "--accept-flake-config" ];
    randomizedDelaySec = "1h";
    persistent = true;
    flake = "git+ssh://nayeonie.com/ahuston-0/nix-dotfiles.git";
  };

  services.nix-verify = {
    daily = {
      enable = true;
      verify-contents = false;
      verify-trust = false;
    };
    weekly = {
      enable = true;
      verify-contents = true;
      verify-trust = false;
      frequency = "1week";
      randomized-delay-sec = "6hour";
    };
  };
}
