{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [
    ./act-runner.nix
    # temp disable archiveteam for tiktok archiving
    #./archiveteam.nix
    # ./books.nix
    #./firefly.nix
    #./foundry.nix
    ./glances.nix
    # ./haproxy.nix
    ./minecraft.nix
    ./nextcloud.nix
    # ./postgres.nix
    # ./restic.nix
    ./torr.nix
    # ./unifi.nix
  ];

  virtualisation.oci-containers.backend = "docker";
  virtualisation.docker.daemon.settings = {
    data-root = "/var/lib/docker2";
    bip = "169.254.253.254/23";
    fixed-cidr = "169.254.252.0/23";
    default-address-pools = [
      {
        base = "169.254.2.0/23";
        size = 28;
      }
      {
        base = "169.254.4.0/22";
        size = 28;
      }
      {
        base = "169.254.8.0/21";
        size = 28;
      }
      {
        base = "169.254.16.0/20";
        size = 28;
      }
      {
        base = "169.254.32.0/19";
        size = 28;
      }
      {
        base = "169.254.64.0/18";
        size = 28;
      }
      {
        base = "169.254.128.0/18";
        size = 28;
      }
      {
        base = "169.254.192.0/19";
        size = 28;
      }
      {
        base = "169.254.224.0/20";
        size = 28;
      }
      {
        base = "169.254.240.0/21";
        size = 28;
      }
      {
        base = "169.254.248.0/22";
        size = 28;
      }
    ];
    mtu = 9000;
  };
}
